/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package javafxapplication13;

import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.geometry.Insets;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.image.Image;
import javafx.scene.layout.Border;
import javafx.scene.layout.BorderImage;
import javafx.scene.layout.BorderRepeat;
import javafx.scene.layout.BorderWidths;
import javafx.scene.layout.HBoxBuilder;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;

/**
 *
 * @author cementovoz
 */
public class JavaFXApplication13 extends Application {
    
    final private static String BORDER = JavaFXApplication13.class.getResource("border.png").toExternalForm();
    
    @Override
    public void start(Stage primaryStage) {
        Button b1 = new Button("Image border no repeat");
        Button b2 = new Button("Image border repeat x");
        Button b3 = new Button("Image border repeat y");
        
        b1.setBorder(new Border(new BorderImage(new Image(BORDER), new BorderWidths(9), Insets.EMPTY, new BorderWidths(28), false, null, null)));
        b2.setBorder(new Border(new BorderImage(new Image(BORDER), new BorderWidths(9), Insets.EMPTY, new BorderWidths(28), false, BorderRepeat.REPEAT, null)));
        b3.setBorder(new Border(new BorderImage(new Image(BORDER), new BorderWidths(9), Insets.EMPTY, new BorderWidths(28), false, null, BorderRepeat.REPEAT)));
        
        StackPane root = new StackPane();
        root.getChildren().add(HBoxBuilder.create().spacing(20).children(b1, b2, b3).build());
        
        Scene scene = new Scene(root, 300, 250);
        
        primaryStage.setTitle("Hello World!");
        primaryStage.setScene(scene);
        primaryStage.show();
    }

    /**
     * The main() method is ignored in correctly deployed JavaFX application.
     * main() serves only as fallback in case the application can not be
     * launched through deployment artifacts, e.g., in IDEs with limited FX
     * support. NetBeans ignores main().
     *
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        launch(args);
    }
}
